## org.eclipse.datatools.connectivity.ui
Class CommonContentProviderBase

    java.lang.Object
      org.eclipse.datatools.connectivity.ui.CommonContentProviderBase

All Implemented Interfaces:
  org.eclipse.jface.viewers.IContentProvider, org.eclipse.jface.viewers.IStructuredContentProvider, org.eclipse.jface.viewers.ITreeContentProvider, org.eclipse.ui.navigator.ICommonContentProvider, org.eclipse.ui.navigator.IMementoAware

Direct Known Subclasses:
  SybaseASESQLModelContentProviderExtension

    public abstract class CommonContentProviderBase

extends java.lang.Object
implements org.eclipse.ui.navigator.ICommonContentProvider

Base content provider class that can be extended for adding content to a connection profile using a navigatorContent extension. Manages the associations between IConnectionProfile, IContentExtension and the connection object. Content from the connection object on down is provided by the delegate content provider. This class allows clients to plug-in existing content providers for a connection type.

Author:
  rcernich Created on Apr 20, 2004

Method Summary
`void` `dispose()`
`boolean` `equals(java.lang.Object obj)`
`java.lang.Object[]` `getChildren(java.lang.Object parentElement)`
`IContentExtension` `getContentExtension(IConnectionProfile profile)`
`java.lang.Object[]` `getElements(java.lang.Object inputElement)`
`java.lang.Object` `getParent(java.lang.Object element)`
`boolean` `hasChildren(java.lang.Object element)`
`int` `hashCode()`
`void` `init(org.eclipse.ui.navigator.ICommonContentExtensionSite aConfig)`
`void` `init(org.eclipse.ui.navigator.IExtensionStateModel aStateModel, org.eclipse.ui.IMemento aMemento)`
`void` `inputChanged(org.eclipse.jface.viewers.Viewer viewer, java.lang.Object oldInput, java.lang.Object newInput)`
`void` `restoreState(org.eclipse.ui.IMemento aMemento)`
`void` `saveState(org.eclipse.ui.IMemento aMemento)`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### dispose

    public void dispose()

  Specified by:
    `dispose` in interface `org.eclipse.jface.viewers.IContentProvider`

### init

    public void init(org.eclipse.ui.navigator.IExtensionStateModel aStateModel,
                     org.eclipse.ui.IMemento aMemento)

### init

    public void init(org.eclipse.ui.navigator.ICommonContentExtensionSite aConfig)

  Specified by:
    `init` in interface `org.eclipse.ui.navigator.ICommonContentProvider`

### restoreState

    public void restoreState(org.eclipse.ui.IMemento aMemento)

  Specified by:
    `restoreState` in interface `org.eclipse.ui.navigator.IMementoAware`

### saveState

    public void saveState(org.eclipse.ui.IMemento aMemento)

  Specified by:
    `saveState` in interface `org.eclipse.ui.navigator.IMementoAware`

### getContentExtension

    public IContentExtension getContentExtension(IConnectionProfile profile)

  Parameters:
    `profile` -
  Returns:
    the content extension for the specified profile. A content extension will be created if one does not already exist.

### getChildren

    public java.lang.Object[] getChildren(java.lang.Object parentElement)

  Specified by:
    `getChildren` in interface `org.eclipse.jface.viewers.ITreeContentProvider`

### getParent

    public java.lang.Object getParent(java.lang.Object element)

  Specified by:
    `getParent` in interface `org.eclipse.jface.viewers.ITreeContentProvider`

### hasChildren

    public boolean hasChildren(java.lang.Object element)

  Specified by:
    `hasChildren` in interface `org.eclipse.jface.viewers.ITreeContentProvider`

### getElements

    public java.lang.Object[] getElements(java.lang.Object inputElement)

  Specified by:
    `getElements` in interface `org.eclipse.jface.viewers.IStructuredContentProvider`

### inputChanged

    public void inputChanged(org.eclipse.jface.viewers.Viewer viewer,
                             java.lang.Object oldInput,
                             java.lang.Object newInput)

  Specified by:
    `inputChanged` in interface `org.eclipse.jface.viewers.IContentProvider`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`